## RygelHTTPItemURI

RygelHTTPItemURI

## Functions

gchar * | rygel_http_item_uri_to_string ()
RygelHTTPItemURI * | rygel_http_item_uri_new ()
RygelHTTPItemURI * | rygel_http_item_uri_new_from_string ()
const gchar * | rygel_http_item_uri_get_item_id ()
void | rygel_http_item_uri_set_item_id ()
gint | rygel_http_item_uri_get_thumbnail_index ()
void | rygel_http_item_uri_set_thumbnail_index ()
gint | rygel_http_item_uri_get_subtitle_index ()
void | rygel_http_item_uri_set_subtitle_index ()
const gchar * | rygel_http_item_uri_get_resource_name ()
void | rygel_http_item_uri_set_resource_name ()
RygelHTTPServer * | rygel_http_item_uri_get_http_server ()
void | rygel_http_item_uri_set_http_server ()
gchar * | rygel_http_item_uri_get_extension ()
void | rygel_http_item_uri_set_extension ()

## Properties

gchar * | extension | Read / Write
RygelHTTPServer * | http-server | Read / Write
gchar * | item-id | Read / Write
gchar * | resource-name | Read / Write
gint | subtitle-index | Read / Write
gint | thumbnail-index | Read / Write

## Types and Values

#define | RYGEL_TYPE_HTTP_ITEM_URI
struct | RygelHTTPItemURI
struct | RygelHTTPItemURIClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPItemURI

## Description

## Functions

### rygel_http_item_uri_to_string ()

    gchar *
    rygel_http_item_uri_to_string (RygelHTTPItemURI *self);

#### Parameters

self | the RygelHTTPItemURI instance |

### rygel_http_item_uri_new ()

    RygelHTTPItemURI *
    rygel_http_item_uri_new (RygelMediaObject *object,
                             RygelHTTPServer *http_server,
                             gint thumbnail_index,
                             gint subtitle_index,
                             const gchar *resource_name);

#### Parameters

object |  |
http_server |  |
thumbnail_index |  |
subtitle_index |  |
resource_name |  |

### rygel_http_item_uri_new_from_string ()

    RygelHTTPItemURI *
    rygel_http_item_uri_new_from_string (const gchar *uri,
                                         RygelHTTPServer *http_server,
                                         GError **error);

#### Parameters

uri |  |
http_server |  |
error | location to store the error occuring, or `NULL` to ignore. | [error-domains RygelHTTPRequestError]

### rygel_http_item_uri_get_item_id ()

    const gchar *
    rygel_http_item_uri_get_item_id (RygelHTTPItemURI *self);

Get and return the current value of the "item-id" property.

#### Parameters

self | the RygelHTTPItemURI instance to query |

#### Returns

the value of the "item-id" property

### rygel_http_item_uri_set_item_id ()

    void
    rygel_http_item_uri_set_item_id (RygelHTTPItemURI *self,
                                     const gchar *value);

Set the value of the "item-id" property to `value` .

#### Parameters

self | the RygelHTTPItemURI instance to modify |
value | the new value of the "item-id" property |

### rygel_http_item_uri_get_thumbnail_index ()

    gint
    rygel_http_item_uri_get_thumbnail_index
                                   (RygelHTTPItemURI *self);

Get and return the current value of the "thumbnail-index" property.

#### Parameters

self | the RygelHTTPItemURI instance to query |

#### Returns

the value of the "thumbnail-index" property

### rygel_http_item_uri_set_thumbnail_index ()

    void
    rygel_http_item_uri_set_thumbnail_index
                                   (RygelHTTPItemURI *self,
                                    gint value);

Set the value of the "thumbnail-index" property to `value` .

#### Parameters

self | the RygelHTTPItemURI instance to modify |
value | the new value of the "thumbnail-index" property |

### rygel_http_item_uri_get_subtitle_index ()

    gint
    rygel_http_item_uri_get_subtitle_index
                                   (RygelHTTPItemURI *self);

Get and return the current value of the "subtitle-index" property.

#### Parameters

self | the RygelHTTPItemURI instance to query |

#### Returns

the value of the "subtitle-index" property

### rygel_http_item_uri_set_subtitle_index ()

    void
    rygel_http_item_uri_set_subtitle_index
                                   (RygelHTTPItemURI *self,
                                    gint value);

Set the value of the "subtitle-index" property to `value` .

#### Parameters

self | the RygelHTTPItemURI instance to modify |
value | the new value of the "subtitle-index" property |

### rygel_http_item_uri_get_resource_name ()

    const gchar *
    rygel_http_item_uri_get_resource_name (RygelHTTPItemURI *self);

Get and return the current value of the "resource-name" property.

#### Parameters

self | the RygelHTTPItemURI instance to query |

#### Returns

the value of the "resource-name" property

### rygel_http_item_uri_set_resource_name ()

    void
    rygel_http_item_uri_set_resource_name (RygelHTTPItemURI *self,
                                           const gchar *value);

Set the value of the "resource-name" property to `value` .

#### Parameters

self | the RygelHTTPItemURI instance to modify |
value | the new value of the "resource-name" property |

### rygel_http_item_uri_get_http_server ()

    RygelHTTPServer *
    rygel_http_item_uri_get_http_server (RygelHTTPItemURI *self);

Get and return the current value of the "http-server" property.

#### Parameters

self | the RygelHTTPItemURI instance to query |

#### Returns

the value of the "http-server" property

### rygel_http_item_uri_set_http_server ()

    void
    rygel_http_item_uri_set_http_server (RygelHTTPItemURI *self,
                                         RygelHTTPServer *value);

Set the value of the "http-server" property to `value` .

#### Parameters

self | the RygelHTTPItemURI instance to modify |
value | the new value of the "http-server" property |

### rygel_http_item_uri_get_extension ()

    gchar *
    rygel_http_item_uri_get_extension (RygelHTTPItemURI *self);

Get and return the current value of the "extension" property.

#### Parameters

self | the RygelHTTPItemURI instance to query |

#### Returns

the value of the "extension" property

### rygel_http_item_uri_set_extension ()

    void
    rygel_http_item_uri_set_extension (RygelHTTPItemURI *self,
                                       const gchar *value);

Set the value of the "extension" property to `value` .

#### Parameters

self | the RygelHTTPItemURI instance to modify |
value | the new value of the "extension" property |

## Types and Values

### RYGEL_TYPE_HTTP_ITEM_URI

    #define RYGEL_TYPE_HTTP_ITEM_URI (rygel_http_item_uri_get_type ())

The type for RygelHTTPItemURI.

### struct RygelHTTPItemURI

    struct RygelHTTPItemURI;

### struct RygelHTTPItemURIClass

    struct RygelHTTPItemURIClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_HTTP_ITEM_URI`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“extension”` property

      “extension”                gchar *

extension.

Flags: Read / Write

Default value: NULL

### The `“http-server”` property

      “http-server”              RygelHTTPServer *

http-server.

Flags: Read / Write

### The `“item-id”` property

      “item-id”                  gchar *

item-id.

Flags: Read / Write

Default value: NULL

### The `“resource-name”` property

      “resource-name”            gchar *

resource-name.

Flags: Read / Write

Default value: NULL

### The `“subtitle-index”` property

      “subtitle-index”           gint

subtitle-index.

Flags: Read / Write

Default value: -1

### The `“thumbnail-index”` property

      “thumbnail-index”          gint

thumbnail-index.

Flags: Read / Write

Default value: -1